# ILMultiDimensionalRank (ARX API Documentation)

org.deidentifier.arx.metric.v2

## Class ILMultiDimensionalRank

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLoss<double[]>
  - - org.deidentifier.arx.metric.v2.AbstractILMultiDimensional
    - - org.deidentifier.arx.metric.v2.ILMultiDimensionalRank

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InformationLoss<?>>

      public class ILMultiDimensionalRank
      extends AbstractILMultiDimensional

  This class implements an information loss which can be represented as a decimal number per quasi-identifier.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InformationLoss<double[]>` | `clone()` Returns a clone of this object.
    `int` | `compareTo(InformationLoss<?> other)` Compares the loss to the other.
    `double[]` | `getValue()` Returns the value
    `int` | `hashCode()`
    `double` | `relativeTo(InformationLoss<?> min, InformationLoss<?> max)` Returns the value relative to the other instance.
    `java.lang.String` | `toString()` Returns a string representation.

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractILMultiDimensional

      `equals, max, min`

    - ### Methods inherited from class org.deidentifier.arx.metric.InformationLoss

      `createInformationLoss, getMetadata`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### clone

          public InformationLoss<double[]> clone()

      Description copied from class: `InformationLoss`
      Returns a clone of this object.
      Specified by:
        `clone` in class `AbstractILMultiDimensional`

    - #### compareTo

          public int compareTo(InformationLoss<?> other)

      Description copied from class: `InformationLoss`
      Compares the loss to the other.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<InformationLoss<?>>`
      Specified by:
        `compareTo` in class `AbstractILMultiDimensional`

    - #### getValue

          public double[] getValue()

      Description copied from class: `InformationLoss`
      Returns the value
      Specified by:
        `getValue` in class `AbstractILMultiDimensional`
      Returns:

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `InformationLoss<double[]>`

    - #### relativeTo

          public double relativeTo(InformationLoss<?> min,
                          InformationLoss<?> max)

      Description copied from class: `InformationLoss`
      Returns the value relative to the other instance.
      Specified by:
        `relativeTo` in class `AbstractILMultiDimensional`
      Returns:

    - #### toString

          public java.lang.String toString()

      Description copied from class: `InformationLoss`
      Returns a string representation.
      Specified by:
        `toString` in class `AbstractILMultiDimensional`